import http from '../utils/http'

/**
 * 设备相关的
 */
// 设备分类
export const apiFindEquipmentType = data => {
  return http({ url: '/lz_management/api/findEquipmentType', method: 'post', data })
}

// 修改设备信息
export const apiChangeEquipment = data => {
  return http({ url: '/lz_management/api/changeEquipmentInfo', method: 'post', data })
}

// 根据编码获取设备信息
export const apiFindEquipmentByCode = (data, code) => {
  return http({ url: `/lz_management/api/findEquipmentById?code=${code}`, method: 'get', data })
}


// 搜索用户
export const apiFindStaff = data => {
  return http({ url: `/lz_management/api/findEmployeeByName`, method: 'post', data })
}

// 搜索使用地
export const apiFindDepat = data => {
  return http({ url: `/lz_management/api/findSpecialApplyByName`, method: 'post', data })
}

// 获取使用地，使用人的设备信息
export const apiFindStaffDevice = data => {
  return http({ url: `/lz_management/api/findUsersEquipmentsByName`, method: 'post', data })
}

